# InfoZipArchive Class Reference
[Various accompanying utilities]

PECL ZipArchive proxy with Info-Zip wrapper. More...

Inheritance diagram for InfoZipArchive:
[legend]

List of all members.

## Public Member Functions

| __construct ($cmdBinPath= '/usr/bin/unzip')
| open ($sourceFile)
| readFile ($fileName)

## Private Attributes

| $zipArchive = null

## Detailed Description

PECL ZipArchive proxy with Info-Zip wrapper.

See also:
  http://pecl.php.net/package/zip

Definition at line 19 of file InfoZipArchive.class.php.

## Constructor & Destructor Documentation

InfoZipArchive::__construct | ( | $ | cmdBinPath = `'/usr/bin/unzip'` | ) |

Reimplemented from FileArchive.

Definition at line 23 of file InfoZipArchive.class.php.

References FileArchive::$cmdBinPath.

## Member Function Documentation

InfoZipArchive::open | ( | $ | sourceFile | ) |

Returns:
  FileArchive

Reimplemented from FileArchive.

Definition at line 41 of file InfoZipArchive.class.php.

References FileArchive::$sourceFile.

InfoZipArchive::readFile | ( | $ | fileName | ) |

Reimplemented from FileArchive.

Definition at line 57 of file InfoZipArchive.class.php.

References FileArchive::execStdoutOptions().

Here is the call graph for this function:

## Member Data Documentation

InfoZipArchive::$zipArchive = null`[private]`

Definition at line 21 of file InfoZipArchive.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Archivers/InfoZipArchive.class.php